import pandas as pd
import matplotlib.pyplot as plt
from sklearn.model_selection import cross_val_score
from sklearn import neighbors
from sklearn.preprocessing import MinMaxScaler

df = pd.read_csv('data_name.csv')

y = df['class'].values
x = df.drop(['class'], axis=1)
x = x.values

# Data Preprocessing
scaler = MinMaxScaler()
x = scaler.fit_transform(x)

# Knn algorithm implement
k_range = range(1, 19)
k_scores = []
for k in k_range:
    knn = neighbors.KNeighborsClassifier(n_neighbors=k)
    scores = cross_val_score(knn, x, y, cv=10, scoring='accuracy')
    k_scores.append(scores.mean())

plt.plot(k_range, k_scores)
plt.xlabel('Number of neighbors $\it{k}$')
plt.ylabel('Classification accuracy')
plt.show()
k_scores = sum(k_scores, 0.0) / len(k_scores)
print("Accuracy of Knn Test set : {:.3f}".format(k_scores))

