import pandas as pd
from sklearn.model_selection import train_test_split
from sklearn.model_selection import cross_val_score
from sklearn.neural_network import MLPClassifier
from sklearn.preprocessing import MinMaxScaler

randomState = 9
df = pd.read_csv('data_name.csv')

y = df['class'].values
x = df.drop(['class'], axis=1)
x = x.values

# Data Preprocessing
scaler = MinMaxScaler()
x = scaler.fit_transform(x)

x_train, x_test, y_train, y_test = train_test_split(x, y, test_size=0.2, random_state=randomState)

# MLP algorithm implement
model = MLPClassifier(hidden_layer_sizes=(10, 10), activation='relu', solver='adam', learning_rate='constant',
                      learning_rate_init=0.01, max_iter=500)
model.fit(x_train, y_train)
scores = cross_val_score(model, x, y, cv=10)
print("Accuracy of MLPClassifier Test set : {:.3f}".format(scores.mean()))
